@page
@model WebApp.Pages_Games.DetailsModel

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Game</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.PlayerA)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.PlayerA.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.PlayerB)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.PlayerB.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.BoardWidth)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.BoardWidth)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.BoardHeight)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.BoardHeight)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.EBoatsCanTouch)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.EBoatsCanTouch)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.CanSamePlayerMoveAfterHit)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.CanSamePlayerMoveAfterHit)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Game.IsPlayerATurn)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Game.IsPlayerATurn)
        </dd>
    </dl>
</div>
<div>
    <a asp-page="./Edit" asp-route-id="@Model.Game.GameId">Edit</a> |
    <a asp-page="./Index">Back to List</a>
</div>
